## tp-smapi 0.42

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 ifndef TP_MODULES
 # This part runs as a normal, top-level Makefile:
 X:=$(shell false)
-KVER        := $(shell uname -r)
-KBASE       := /lib/modules/$(KVER)
-KSRC        := $(KBASE)/source
-KBUILD      := $(KBASE)/build
-MOD_DIR     := $(KBASE)/kernel
+KVER        ?= $(shell uname -r)
+KBASE       ?= /lib/modules/$(KVER)
+KSRC        ?= $(KBASE)/source
+KBUILD      ?= $(KBASE)/build
+MOD_DIR     ?= $(KBASE)/kernel
 PWD         := $(shell pwd)
 IDIR        := include/linux
-TP_DIR      := drivers/misc
+TP_DIR      := drivers/platform/x86
 TP_MODULES  := thinkpad_ec.o tp_smapi.o
 SHELL       := /bin/bash
 
@@ -22,12 +22,18 @@
 ifeq ($(FORCE_IO),1)
 THINKPAD_EC_PARAM := force_io=1
 else
-THINKPAD_EC_PARAM := 
+THINKPAD_EC_PARAM :=
+endif
+
+ifneq ($(KERNELRELEASE),)
+	obj-m  := $(TP_MODULES)
+else
 endif
 
 DEBUG := 0
 
-.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff
+.PHONY: default clean modules load unload install patch check_hdaps mk-hdaps.diff \
+	check-ver set-version create-tgz create-rpm
 export TP_MODULES
 
 #####################################################################
@@ -73,17 +79,17 @@
 	rm -f $(MOD_DIR)/drivers/firmware/{thinkpad_ec,tp_smapi,tp_base}.ko
 	rm -f $(MOD_DIR)/extra/{thinkpad_ec,tp_smapi,tp_base}.ko
 ifeq ($(HDAPS),1)
-	rm -f $(MOD_DIR)/drivers/hwmon/hdaps.ko
+	rm -f $(MOD_DIR)/drivers/platform/x86/hdaps.ko
 	rm -f $(MOD_DIR)/extra/hdaps.ko
 endif
 	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules_install
-	depmod -a
+	depmod $(KVER)
 
 
 #####################################################################
 # Generate a stand-alone kernel patch
 
-TP_VER := ${shell sed -ne 's/^\#define TP_VERSION \"\(.*\)\"/\1/gp' tp_smapi.c}
+TP_VER := 0.42
 ORG    := a
 NEW    := b
 PATCH  := tp_smapi-$(TP_VER)-for-$(KVER).patch
@@ -98,26 +104,26 @@
 	cd $$TMPDIR &&\
 	mkdir -p $(ORG)/$(TP_DIR) &&\
 	mkdir -p $(ORG)/$(IDIR) &&\
-	mkdir -p $(ORG)/drivers/hwmon &&\
+	mkdir -p $(ORG)/drivers/platform/x86 &&\
 	cp $(KSRC)/$(TP_DIR)/{Kconfig,Makefile} $(ORG)/$(TP_DIR) &&\
-	cp $(KSRC)/drivers/hwmon/{Kconfig,hdaps.c} $(ORG)/drivers/hwmon/ &&\
+	cp $(KSRC)/drivers/platform/x86/{Kconfig,hdaps.c} $(ORG)/drivers/platform/x86/ &&\
 	cp -r $(ORG) $(NEW) &&\
 	\
 	if [ "$(BASE_IN_PATCH)" == 1 ]; then \
 		cp $(PWD)/thinkpad_ec.c $(NEW)/$(TP_DIR)/thinkpad_ec.c &&\
-		cp $(PWD)/thinkpad_ec.h $(NEW)/$(IDIR)/thinkpad_ec.h &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
+		cp $(PWD)/thinkpad_ec.h $(NEW)/$(TP_DIR)/thinkpad_ec.h &&\
+		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-thinkpad_ec.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
 		sed -i -e '$$aobj-$$(CONFIG_THINKPAD_EC)       += thinkpad_ec.o' $(NEW)/$(TP_DIR)/Makefile \
 	; fi &&\
 	\
 	if [ "$(HDAPS_IN_PATCH)" == 1 ]; then \
-		cp $(PWD)/hdaps.c $(NEW)/drivers/hwmon/ &&\
-		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/hwmon/Kconfig  \
+		cp $(PWD)/hdaps.c $(NEW)/drivers/platform/x86/ &&\
+		perl -i -0777 -pe 's/(config SENSORS_HDAPS\n\ttristate [^\n]+\n\tdepends [^\n]+\n)/$$1\tselect THINKPAD_EC\n/' $(NEW)/drivers/platform/x86/Kconfig  \
 	; fi &&\
 	\
 	if [ "$(SMAPI_IN_PATCH)" == 1 ]; then \
 		sed -i -e '$$aobj-$$(CONFIG_TP_SMAPI)          += tp_smapi.o' $(NEW)/$(TP_DIR)/Makefile &&\
-		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # MISC_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
+		perl -i -pe 'print `cat $(PWD)/diff/Kconfig-tp_smapi.add` if m/^(endmenu|endif # X86_PLATFORM_DEVICES)$$/' $(NEW)/$(TP_DIR)/Kconfig &&\
 		cp $(PWD)/tp_smapi.c $(NEW)/$(TP_DIR)/tp_smapi.c &&\
 		mkdir -p $(NEW)/Documentation &&\
 		perl -0777 -pe 's/\n(Installation\n---+|Conflict with HDAPS\n---+|Files in this package\n---+|Setting and getting CD-ROM speed:\n).*?\n(?=[^\n]*\n-----)/\n/gs' $(PWD)/README > $(NEW)/Documentation/tp_smapi.txt \
@@ -136,15 +142,31 @@
 #####################################################################
 # Tools for preparing a release. Ignore these.
 
-set-version:
+TGZ=../tp_smapi-$(VER).tgz
+
+check-ver:
+	@if [ -z "$(VER)" ]; then \
+		echo "VER is unset"; \
+		echo "run: $(MAKE) $(MAKECMDGOALS) VER=<release version>"; \
+		exit 1 ;\
+	 fi
+
+set-version: check-ver
 	perl -i -pe 's/^(tp_smapi version ).*/$${1}$(VER)/' README
 	perl -i -pe 's/^(#define TP_VERSION ").*/$${1}$(VER)"/' thinkpad_ec.c tp_smapi.c
+	perl -i -pe 's/^(TP_VER := ).*/$${1}$(VER)/' Makefile
+	perl -i -pe 's/^(PACKAGE_VERSION=").*/$${1}$(VER)"/' dkms.conf
+	perl -i -pe 's/^(%define version ).*/$${1}$(VER)/' tp_smapi.spec
 
-TGZ=../tp_smapi-$(VER).tgz
-create-tgz:
+create-tgz: check-ver
 	git archive  --format=tar --prefix=tp_smapi-$(VER)/ HEAD | gzip -c > $(TGZ)
 	tar tzvf $(TGZ)
 	echo "Ready: $(TGZ)"
+
+create-rpm: create-tgz
+	mkdir -p rpmbuild
+	rpmbuild -tb --define "_topdir $$PWD/rpmbuild" $(TGZ)
+
 
 else
 #####################################################################
