=== debian/changelog ===
tp-smapi (0.42-1ubuntu1) zesty; urgency=medium

  * Drop hdaps modules build as it is now upstream as of linux v4.9
    debian/patches/drop-hdaps.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Jan 2017 15:58:57 -0700

tp-smapi (0.42-1) unstable; urgency=medium

  * Imported Upstream version 0.42
    + builds fine against newer kernels (Closes: #820724)
    + detects X200s as such (Closes: #735631)
  * make the build reproducible (Closes: #778217)
  * use upstream's dkms.conf
  * stop patching upstreams Makefile, it should just work now
  * use dh_dkms (Closes: #600803)
  * update d/watch
  * update Homepage
  * do not build tp-smapi-source anymore
  * dh rules!
  * Standards-Version: 3.9.8
  * add readme and sysfs.conf to dkms package
  * update Vcs-*
  * format 3.0 (quilt)

 -- Evgeni Golov <evgeni@debian.org>  Mon, 25 Apr 2016 17:59:39 +0200

tp-smapi (0.41-1) unstable; urgency=low

  * New "upstream" release.
    + Droping all patches but the debian specific one.
    + Supports Sandy Bridge ThinkPads. Closes: #628829, #635650
  * README.source should point to quilt doc (since 0.40-3!)
  * Install README.Debian in the dkms package too, thanks rhalina!
  * Standards-Version: 3.9.2
  * Install the sysfs.conf example in -dkms and -source too.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 29 Jul 2011 12:33:50 +0200

tp-smapi (0.40-10) UNRELEASED; urgency=low

  * Update 02_hdaps-orientation-update.patch for X201 and X201t.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 04 Feb 2011 10:12:13 +0100

tp-smapi (0.40-9) unstable; urgency=low

  * debian/patches/03_2.6.37-compatibility.patch:
    + Use DEFINE_SEMAPHORE instead of DECLARE_MUTEX in 2.6.37 and above.
      Closes: #602367
      Thanks: Tanaka Watanabe <hellhound.kerberos@gmail.com>

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Dec 2010 13:44:06 +0100

tp-smapi (0.40-8) unstable; urgency=low

  * debian/patches/02_X200-T500-support.patch:
    + Rename to 02_hdaps-orientation-update.patch
    + Update patch for X201s, T410 and T400s.
  * debian/control:
    + Standards-Version: 3.9.1.
  * debian/source/format:
    + 1.0 for now.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Aug 2010 18:13:06 +0200

tp-smapi (0.40-7) unstable; urgency=low

  * debian/rules:
    + Install README and CHANGES into /u/s/d/tp-smapi-dkms/
      Closes: #562917
    + We do not need CFLAGS here, remove them.
  * debian/control:
    + Add ${misc:Depends} to Depends of tp-smapi-source, thanks lintian.
  * debian/tp-smapi-dkms.postinst:
    + Rework building of the module, so it won't fail in the case the
      correct kernel headers are not available.
      Closes: #562871

 -- Evgeni Golov <evgeni@debian.org>  Wed, 20 Jan 2010 09:23:26 +0100

tp-smapi (0.40-6) unstable; urgency=low

  * Add DKMS support.
  * debian/control{,modules.in}:
    + Standards-Version: 3.8.3.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert=1 for T400 too.
      Closes: #541641.
  * debian/copyright:
    + Update my e-mail address.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Dec 2009 18:15:36 +0100

tp-smapi (0.40-5) unstable; urgency=low

  * Fix typo in X200/T500 patch.
    Thanks Kiko Piris <menorqui@pirispons.net>
    Closes: #533289

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 11:59:02 +0200

tp-smapi (0.40-4) unstable; urgency=low

  * debian/control{,modules.in}:
    + Update my e-mail address.
    + Move Vcs-* fields to my new home on Alioth.
    + Remove DM-Upload-allowed.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert quirks for X200 and T500 reported on Launchpad.
      Closes LP: #374492 and LP: #370289.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 01:26:50 +0200

tp-smapi (0.40-3) unstable; urgency=low

  * debian/control:
    + Fix typo in Vcs-Browser field.
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/control.modules.in:
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/{control,rules,patches/}:
    + Use quilt instead of dpatch.
  * debian/patches/99_Makefile-for-Debian.patch:
    + Don't try to be smart and detect ancient kernels, that breaks.
      Closes: #521296
  * debian/rules.modules:
    + Install hdaps.ko in $(KVERS)/updates/, not $(KVERS)/kernel/updates/.
      Closes: #522113
  * debian/rules:
    + Add README.Debian to tp-smapi.tar.bz2, so it will show up in the
      built -modules package.
      Closes: #498207
  * debian/control{,.modules.in}:
    + Update descriptions.
  * debian/copyright:
    + Update to machine-readable format, update dates etc.
  * debian/control.moldules.in:
    + Add Vcs-* headers too.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 05 Apr 2009 01:07:56 +0200

tp-smapi (0.40-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Set DM-Upload-Allowed: yes.
    + Add Vcs-* headers.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 08 Mar 2009 12:06:01 +0100

tp-smapi (0.40-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/99_Makefile-for-Debian.dpatch.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 16 Dec 2008 09:48:28 +0100

tp-smapi (0.39-1) experimental; urgency=low

  * New upstream release.
  * Drop 02_fix_semaphore_h_include.dpatch, included upstream.
  * Refresh 01_include-thinkpad_ec.h-directly.dpatch.
  * Bump Standards-Version to 3.8.0.
  * Add README.source.
  * Move bzip2 from Build-Depends to Build-Depends-Indep.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 30 Sep 2008 19:38:49 +0200

tp-smapi (0.37-3) unstable; urgency=low

  * New patch 02_fix_semaphore_h_include.dpatch
    + Fixes the include of semaphore.h in newer kernels (Closes: #497990).

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 08 Sep 2008 15:19:45 +0200

tp-smapi (0.37-2) unstable; urgency=low

  * Update 99_Makefile-for-Debian.dpatch to not set CFLAGS (Closes: #476360)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 16 Apr 2008 12:55:41 +0200


