=== debian/control ===
Source: tp-smapi
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bzip2, dkms
Standards-Version: 3.9.8
Homepage: https://github.com/evgeni/tp_smapi/
Vcs-Git: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
Vcs-Browser: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git

Package: tp-smapi-dkms
Architecture: all
Depends: ${misc:Depends}
Description: ThinkPad hardware/firmware access modules source - dkms version
 The tp_smapi kernel module exposes some features of the ThinkPad
 hardware/firmware via a sysfs interface. Currently, the main implemented
 functionality is control of battery charging and extended battery status.
 The underlying hardware interfaces are SMAPI and direct access to the
 embedded controller.
 .
 This package also brings the source for an improved version of HDAPS
 which should work on newer ThinkPads too (the stock kernel version does
 not).
 .
 This package contains the source to be built with dkms.
