=== debian/changelog ===
tp-smapi (0.43-1ubuntu1) impish; urgency=medium

  * Restrict this module to amd64 (LP: #1945784)

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 01 Oct 2021 14:47:02 +0200

tp-smapi (0.43-1) unstable; urgency=medium

  * New upstream version 0.43
    + Support 4.15 kernel
      Closes: #884973
  * move to salsa.d.o
  * Standards-Version: 4.1.3.0

 -- Evgeni Golov <evgeni@debian.org>  Sat, 24 Feb 2018 17:35:54 +0100
