=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: bzip2, dkms
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3.0
 Homepage: https://github.com/evgeni/tp_smapi/
-Vcs-Git: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
-Vcs-Browser: https://anonscm.debian.org/git/users/evgeni/tp-smapi.git
+Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
+Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
 
 Package: tp-smapi-dkms
-Architecture: all
+Architecture: amd64
 Depends: ${misc:Depends}
 Description: ThinkPad hardware/firmware access modules source - dkms version
  The tp_smapi kernel module exposes some features of the ThinkPad
