=== debian/watch ===
version=4
https://github.com/evgeni/tp_smapi/releases \
    .*/tp_smapi-(\d[\d.]*)\.tgz debian uupdate
