=== debian/changelog ===
tp-smapi (0.44-1ubuntu1) mantic; urgency=medium

  *  Restrict module to amd64

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 22 Sep 2023 06:55:18 +0000

tp-smapi (0.44-1) unstable; urgency=medium

  * New upstream version 0.44
    + Support 6.4 kernel
      Closes: #1038207

 -- Evgeni Golov <evgeni@debian.org>  Mon, 31 Jul 2023 20:09:41 +0200

tp-smapi (0.43-3) unstable; urgency=medium

  * Limit autopkgtest to amd64 and i386 as tp_smapi doesn't work on other
    arches.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 26 Jan 2023 21:42:38 +0100

tp-smapi (0.43-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * Standards-Version: 4.6.2
  * fix d/watch to find a release
  * update source to point at https://github.com/linux-thinkpad/tp_smapi

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.  (Closes: #1027884)
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Declare Rules-Requires-Root: no.
  * Update to copyright-format 1.0.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 24 Jan 2023 20:44:49 +0100
