=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: bzip2, dkms
-Standards-Version: 4.1.3.0
-Homepage: https://github.com/evgeni/tp_smapi/
+Build-Depends:
+ debhelper-compat (= 13),
+Build-Depends-Indep:
+ bzip2,
+ dh-sequence-dkms,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/linux-thinkpad/tp_smapi
 Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
 Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
+Testsuite: autopkgtest-pkg-dkms
 
 Package: tp-smapi-dkms
 Architecture: amd64
@@ -25,4 +30,3 @@
  not).
  .
  This package contains the source to be built with dkms.
-
