=== debian/watch ===
version=4
opts="filenamemangle=s%.+/([\d.]+)\.tar\.gz%tp_smapi-$1.tar.gz%" \
https://github.com/linux-thinkpad/tp_smapi/tags \
    .*/tp-smapi/(\d[\d.]*)\.tar.gz debian uupdate
