=== debian/changelog ===
tp-smapi (0.45-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139434). Remaining changes:
    - d/control: restrict module to amd64

 -- Renan Rodrigo <rr@ubuntu.com>  Tue, 03 Feb 2026 09:53:57 -0300

tp-smapi (0.45-1) unstable; urgency=medium

  * New upstream version 0.45
    + Support for 6.15 kernel
      Closes: #1106555
  * Revert "Use correct DEST_MODULE_LOCATION for hdaps to fix piuparts
    detected error.", the real issue is in dkms itself.
  * Standards-Version: 4.7.2

 -- Evgeni Golov <evgeni@debian.org>  Fri, 15 Aug 2025 20:57:20 +0200

tp-smapi (0.44-1.2ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:01:32 +0100

tp-smapi (0.44-1.2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Restrict module to amd64

 -- Agathe Porte <agathe.porte@canonical.com>  Thu, 23 Jan 2025 10:47:37 +0100

tp-smapi (0.44-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Use correct DEST_MODULE_LOCATION for hdaps to fix piuparts detected error.
  * Changed dkms binary package architecture from all to 'amd64 i386'.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Jan 2025 16:55:20 +0100

tp-smapi (0.44-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Added AppStream metainfo XML with hardware provide info (Closes: #838736).
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Jan 2025 18:45:03 +0100
