=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Build-Depends-Indep:
  bzip2,
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-thinkpad/tp_smapi
 Vcs-Git: https://salsa.debian.org/debian/tp-smapi.git
 Vcs-Browser: https://salsa.debian.org/debian/tp-smapi
